Skip to main content
POST
/
api
/
v1
/
driver
/
auth
/
social
Social Sign In
curl --request POST \
  --url https://api.example.com/api/v1/driver/auth/social \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "GOOGLE",
  "providerToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6Ikp..."
}
'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6Ikp...",
  "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6Ikp..."
}

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Body

application/json

Social authentication credentials

provider
enum<string>
required

Social Auth Provider

Available options:
GOOGLE
Example:

"GOOGLE"

providerToken
string
required

Provider token

Example:

"eyJhbGciOiJSUzI1NiIsInR5cCI6Ikp..."

Response

OK

Token pair.

accessToken
string
required

JWT access token.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6Ikp..."

refreshToken
string
required

JWT refresh token.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6Ikp..."